// ResistorListener.java

/*
This software is part of the Aplu FtController package.
It is Open Source Free Software, so you may
- run the code for any purpose
- study how the code works and adapt it to your needs
- integrate all or parts of the code in your own programs
- redistribute copies of the code
- improve the code and release your improvements to the public
However the use of the code is entirely your responsibility.
 */

package ch.aplu.ftcontroller;

/**
 * Declarations of notification methods.
*/
public interface ResistorListener
{

 /**
  * Fired when the resistor input changes its value.
  * @param evt a ResitorInEvent to retrieve information
  */
  public void resistorChanged(ResistorEvent evt);
}
