// FtControllerHandler.h
// Must link with umFish40.lib from the umFish distribution  
// see: http://www.ftcomputing.de/download

#ifndef __FtControllerHandler_h__
#define __FtControllerHandler_h__
#include "jaw.h"
#include "s:\umfish\umfish40vc.h"

#define maxInt 2147483647
#define FT_ERROR 0xE0000001L


// ----------------- class FtControllerHandler -----------------
class FtControllerHandler : public WindowHandler
{
public:
  FtControllerHandler(JNIEnv * env, jobject obj);
  ~FtControllerHandler();

protected:
   virtual bool wantThreadMsg(UINT uMsg);
   virtual void evThreadMsg(HWND hWnd, UINT uMsg, WPARAM wParam,
                            LPARAM lParam);

private:
  int period;
  int handle;
  int * data;
  int * newData;
  bool * isEndCheck;
  int clock;
  bool isReady;
  int irCode;
  int irKeyNb;
  int eventMask;
  int newEventMask;
  bool isNewEventMask;
  int invokeVal;
  int invokeResult;
  int * jitter;
  bool isConnected;

  int invoke(int val);
  int doInvoke(int val);
  void writeBuf();
  void getState();
  bool isDataChanged();
  void setJitter();
};


#endif