// CounterEvt.java
// Counter events from any switch at I1..I8

import ch.aplu.util.*;
import ch.aplu.ftcontroller.*;

public class CounterEvt implements CounterListener
{
  private FtController fc = new FtController();

  public CounterEvt()
  {
    for (int nb = 1; nb <= 8; nb++)
      fc.addCounterListener(this, nb);

    QuitPane.halt(false);
    fc.exit();
  }

  public void countChanged(CounterEvent evt)
  {
    int nb = evt.getCounterNb();
    int count = evt.getCount();
    System.out.println("Counter " + nb + " has count: " + count);
    if (count == 10)
      fc.counterAry[nb - 1].clearCount();
  }

  public static void main(String[] args)
  {
    new CounterEvt();
  }
}
